- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# manageiq_tags – Management of resource tags in ManageIQ

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- The manageiq_tags module supports adding, updating and deleting tags in ManageIQ.

## Requirements

The below requirements are needed on the host that executes this module.

- manageiq-client https://github.com/ManageIQ/manageiq-api-client-python/

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
manageiq_connection dictionary / required |  | ManageIQ connection configuration information.
| ca_cert path |  | The path to a CA bundle file or directory with certificates. defaults to None. aliases: ca_bundle_path
| password string |  | ManageIQ password. `MIQ_PASSWORD` env var if set. otherwise, required if no token is passed in.
| token string |  | ManageIQ token. `MIQ_TOKEN` env var if set. otherwise, required if no username or password is passed in.
| url string / required |  | ManageIQ environment url. `MIQ_URL` env var if set. otherwise, it is required to pass it.
| username string |  | ManageIQ username. `MIQ_USERNAME` env var if set. otherwise, required if no token is passed in.
| validate_certs boolean | Choices: no yes ← | Whether SSL certificates should be verified for HTTPS requests. defaults to True. aliases: verify_ssl
resource_name - / required |  | the relevant resource name in manageiq
resource_type - / required | Choices: provider host vm blueprint category cluster data store group resource pool service service template template tenant user | the relevant resource type in manageiq
state - | Choices: absent present ← list | absent - tags should not exist, present - tags should exist, list - list current tags.
tags - |  | tags - list of dictionaries, each includes 'name' and 'category' keys. required if state is present or absent.

## Examples

    - name: Create new tags for a provider in ManageIQ
      manageiq_tags:
        resource_name: 'EngLab'
        resource_type: 'provider'
        tags:
        - category: environment
          name: prod
        - category: owner
          name: prod_ops
        manageiq_connection:
          url: 'http://127.0.0.1:3000'
          username: 'admin'
          password: 'smartvm'
          validate_certs: False

    - name: Remove tags for a provider in ManageIQ
      manageiq_tags:
        state: absent
        resource_name: 'EngLab'
        resource_type: 'provider'
        tags:
        - category: environment
          name: prod
        - category: owner
          name: prod_ops
        manageiq_connection:
          url: 'http://127.0.0.1:3000'
          username: 'admin'
          password: 'smartvm'
          validate_certs: False

    - name: List current tags for a provider in ManageIQ
      manageiq_tags:
        state: list
        resource_name: 'EngLab'
        resource_type: 'provider'
        manageiq_connection:
          url: 'http://127.0.0.1:3000'
          username: 'admin'
          password: 'smartvm'
          validate_certs: False

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Daniel Korn (@dkorn)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.